/** Sleep for `milliSeconds`. Example 1s: `await sleep(1000)` */
export declare function sleep(milliSeconds: number): Promise<void>;
export declare function immediate(): Promise<void>;
export declare const timeoutReached: unique symbol;
export declare function timeout<T>(promise: Promise<T>, milliSeconds: number, timeoutValue?: symbol): Promise<T | typeof timeoutValue>;
export declare const timoutError: Error;
export declare function isTimeout(value: any): boolean;
export declare function tryTimeout<T>(promise: Promise<T>, milliSeconds: number): Promise<T>;
/** Wait for `event` on `obj` to emit. Resolve with result or reject on `timeout` */
export declare function on(obj: any, event: string, timeoutMS?: number): Promise<any>;
/** @deprecated */
export declare function isPromise<T>(value: Promise<T> | T): value is Promise<T>;
/** This is exactly what Prose.resolve(x) is supposed to be: return a Promise no matter what type x is */
export declare function promisify<T>(value: Promise<T> | T): Promise<T>;
